API ReferenceReported Clock
Retrieves the collection of ReportedClock resources
Retrieves the collection of ReportedClock resources
Authorization
apiKey Authorization<token>
Value for the Authorization header parameter.
In: header
Query Parameters
page?integer
The collection page number
Default
1itemsPerPage?integer
The number of items per page
Range
0 <= value <= 100Default
30order[dateStart]?string
Default
"asc"Value in
- "asc"
- "desc"
task?string
task[]?array<string>
task.name?string
task.number?integer
task.number[]?array<integer>
timeType?string
timeType[]?array<string>
isPaused?boolean
Response Body
curl -X GET "https://example.com/project/reported-clocks"[ { "task": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "shortCode": "string", "no": 0, "project": "9ec8a81a-31b2-4a83-bcd8-cef9150932d2", "projectShortCode": "string", "projectName": "string", "projectIsSimple": true, "stage": "9f09bdb0-89bd-4a1a-b468-0312474f1023", "stageName": "string", "board": "a98884d6-3c76-4114-ba9c-216527a5aac1", "boardShortCode": "string", "boardName": "string" }, "id": "string", "description": "string", "dateStart": "2019-08-24T14:15:22Z", "seconds": 0, "isPaused": true, "timeType": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "isDefault": true, "isPaid": true, "isActive": true }, "projectUser": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "shortCode": "string", "firstName": "string", "lastName": "string", "email": "string", "pictureSm": "string", "pictureLg": "string", "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7", "contractorName": "string", "canLogIn": true, "phoneNumber": "string", "jobPositionName": "string", "hourlyRate": null, "isExternal": true, "decorator": "string" } }]